Subject: Re: bug#18232: 24.3.92; Filename completion changes the current working directory

From: Harald Hanche-Olsen <[email-masked]>
Date: Sun, 10 Aug 2014 10:03:15 +0200 (CEST)

[Glenn Morris <[email-masked]> (2014-08-10 02:45:48 UTC)]

> I can't reproduce that on GNU/Linux.

So it's OS X specific, then.

I suspected it might be; thanks for checking it out.

> In general, if you visit files and then unmount the hosting
> filesystems, you are going to have problems.

Only if you unmount before saving your changes.
Why would you do that?

(I do this several times a week, typically to edit a file on some web
server. I mount the filesystems using sshfs. It is not practical to
leave them mounted, as this is a laptop and moves about a lot.)

– Harald